#####################################################################
# Copyright (C) 1988,1989
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/i_invce.4gs/globals.4gl  1.4  Delta: 12/11/89
#####################################################################

database standard

globals
    define
        m_rinvce record like strinvce.*,  # record like the header table
        m_rinvcd record like strinvcd.*,  # record like the detail table
        m_rcntrc record like strcntrc.*,  # record like the a/r control table
        p_rinvce record   # record like the headers of screen1 and screen2
            inv_date like strinvce.inv_date,
            doc_no like strinvce.doc_no,
            department like strinvce.department,
            file_type like strinvce.file_type,
            ref_no like strinvce.ref_no,
            tax like strinvce.tax,
            inv_no like strinvce.inv_no,
            posted like strinvce.posted,
            recurring like strinvce.recurring,
            cust_code like strinvce.cust_code,
            ship_to_code like strinvce.ship_to_code,
            cust_name char(30),
            actgrp char(6),
            inv_desc like strinvce.inv_desc,
            due_date like strinvce.due_date,
            disc_date like strinvce.disc_date,
            disc_pct like strinvce.disc_pct,
            disc_acct_no like strinvce.disc_acct_no,
            disc_department like strinvce.disc_department,
            disc_desc char(20),
            disc_tmp like strinvce.disc_amount,
            disc_amount like strinvce.disc_amount,
            disc_debit_credit like strinvce.disc_debit_credit,
            tax_acct_no like strinvce.tax_acct_no,
            tax_department like strinvce.tax_department,
            tax_desc char(20),
            tax_tmp like strinvce.tax_amount,
            tax_amount like strinvce.tax_amount,
            tax_debit_credit like strinvce.tax_debit_credit,
            frght_acct_no like strinvce.frght_acct_no,
            frght_department like strinvce.frght_department,
            frght_desc char(20),
            frght_tmp like strinvce.frght_amount,
            frght_amount like strinvce.frght_amount,
            frght_debit_credit like strinvce.frght_debit_credit,
            misc_acct_no like strinvce.misc_acct_no,
            misc_department like strinvce.misc_department,
            misc_desc char(20),
            misc_tmp like strinvce.misc_amount,
            misc_amount like strinvce.misc_amount,
            misc_debit_credit like strinvce.misc_debit_credit,
            ar_acct_no like strinvce.ar_acct_no,
            ar_department like strinvce.ar_department,
            ar_desc char(20),
            ar_tmp like strinvce.ar_amount,
            ar_amount like strinvce.ar_amount,
            ar_debit_credit like strinvce.ar_debit_credit,
            po_no like strinvce.po_no,
            po_date like strinvce.po_date,
            inv_note like strinvce.inv_note,
            terms char(30),
            terms_code like strinvce.terms_code,
            sub_total like strinvce.ar_amount #Subtotal of all sales amount
        end record,
        q_rinvce record   # record like the headers of screen2
            inv_date like strinvce.inv_date,
            posted like strinvce.posted,
            cust_code like strinvce.cust_code,
            cust_name char(30),
            file_type like strinvce.file_type,
            inv_no like strinvce.inv_no,
            recurring like strinvce.recurring,
            ref_no like strinvce.ref_no,
            tax like strinvce.tax,
            inv_desc like strinvce.inv_desc,
            due_date like strinvce.due_date,
            disc_date like strinvce.disc_date,
            disc_pct like strinvce.disc_pct,
            actgrp char(6),
            actdesc char(30),
            sub_total like strinvce.ar_amount, #Subtotal of all sales amount
            misc_acct_no like strinvce.misc_acct_no,
            misc_department like strinvce.misc_department,
            misc_desc char(20),
            misc_tmp like strinvce.misc_amount,
            misc_amount like strinvce.misc_amount,
            misc_debit_credit like strinvce.misc_debit_credit,
            frght_acct_no like strinvce.frght_acct_no,
            frght_department like strinvce.frght_department,
            frght_desc char(20),
            frght_tmp like strinvce.frght_amount,
            frght_amount like strinvce.frght_amount,
            frght_debit_credit like strinvce.frght_debit_credit,
            tax_acct_no like strinvce.tax_acct_no,
            tax_department like strinvce.tax_department,
            tax_desc char(20),
            tax_tmp like strinvce.tax_amount,
            tax_amount like strinvce.tax_amount,
            tax_debit_credit like strinvce.tax_debit_credit,
            ar_acct_no like strinvce.ar_acct_no,
            ar_department like strinvce.ar_department,
            ar_desc char(20),
            ar_tmp like strinvce.ar_amount,
            ar_amount like strinvce.ar_amount,
            ar_debit_credit like strinvce.ar_debit_credit
        end record,
        r_rinvce record   # record like the header screen1
            inv_date like strinvce.inv_date,
            posted like strinvce.posted,
            cust_code like strinvce.cust_code,
            cust_name char(30),
            ship_to_code like strinvce.ship_to_code,
            department like strinvce.department,
            file_type like strinvce.file_type,
            inv_no like strinvce.inv_no,
            recurring like strinvce.recurring,
            ref_no like strinvce.ref_no,
            tax like strinvce.tax,
            inv_desc like strinvce.inv_desc,
            inv_note like strinvce.inv_note,
            terms_code like strinvce.terms_code,
            terms char(30),
            due_date like strinvce.due_date,
            po_no like strinvce.po_no,
            po_date like strinvce.po_date,
            sub_total like strinvce.ar_amount, #Subtotal of all sales amount
            misc_tmp like strinvce.misc_amount,
            frght_tmp like strinvce.frght_amount,
            tax_tmp like strinvce.tax_amount,
            ar_tmp like strinvce.ar_amount
        end record,
        p_rinvcd array[100] of record   # record like the detail screen 1&2
            acct_no like strinvcd.acct_no,
            department like strinvcd.department,
            tmp_amount like strinvcd.amount,
            amount like strinvcd.amount,
            debit_credit like strinvcd.debit_credit,
            description like strinvcd.description,
            item_no like strinvcd.item_no,
            quantity like strinvcd.quantity,
            pack like strinvcd.pack,
            price like strinvcd.price
        end record,
        q_rinvcd array[100] of record   # record like the detail screen2
            acct_no like strinvcd.acct_no,
            department like strinvcd.department,
            description like strinvcd.description,
            tmp_amount like strinvcd.amount,
            amount like strinvcd.amount,
            debit_credit like strinvcd.debit_credit
        end record,
        r_rinvcd array[100] of record   # record like the detail screen1
            item_no like strinvcd.item_no,
            quantity like strinvcd.quantity,
            pack like strinvcd.pack,
            description like strinvcd.description,
            price like strinvcd.price,
            tmp_amount like strinvcd.amount
        end record,
        progid   char(17),   # program identification
        scr1_max smallint,   # Number of elements in screen array 1
        scr2_max smallint,   # Number of elements in screen array 2
        rec1_max smallint,   # Number of elements in record array 1
        rec1_cnt smallint,   # Number of active elements in record array 1
        curr_form smallint,  # current working form number
        is_browse smallint   # (boolean) are we browsing now ?
end globals

