########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/ar.4gs/ar_custn.4gl  1.3  Delta: 9/4/90
########################################################################

database standard

############################################################
function ar_custn(cust_code)
# returns bus_name
############################################################
# This function is passed a customer code and, from that,
# returns the customer business name.  If the customer code
# does not exist in the A/R customer table, strcustr, bus_name
# is initialized "NOT FOUND".
#
    define cust_code        like strcustr.cust_code,
           bus_name        like strcustr.bus_name

    select strcustr.bus_name
        into bus_name
            from strcustr
                where strcustr.cust_code = cust_code

    if sqlca.sqlcode = notfound
    then
        let sqlca.sqlcode = 0
        let bus_name = "NOT FOUND"
    end if

    return bus_name

end function
# ar_custn
