########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/ar.4gs/ar_shipc.4gl  1.3  Delta: 9/4/90
########################################################################

database standard

#######################################################################
function ar_shipc(cust_code,ship_to_code)
# returns true if ship_to_code does not exist for that customer
#######################################################################
# This routine is is passed a customer code and a ship-to-code and,
# from these, checks to see if the ship-to-code for a given customer
# exists.  If the ship-to-code does not exist a true is returned,
# otherwise a false.
#
    define
        cust_code like strshipr.cust_code,
        ship_to_code like strshipr.ship_to_code

    if ship_to_code = "SHIPTO"
    then
        return false
    end if

    select rowid from strshipr
        where strshipr.cust_code = cust_code and
              strshipr.ship_to_code = ship_to_code
 
    if sqlca.sqlcode != 0
    then 
        let sqlca.sqlcode = 0
        return true
    end if
    return false

end function
