########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/ar.4gs/ar_termn.4gl  1.4  Delta: 9/4/90
########################################################################

database standard

############################################################
function ar_termn(terms_code)
# returns terms_desc, due_days, disc_days, disc_pct
############################################################
# This function is passed a terms code and, from that, returns
# terms information.  If the terms code is not in the table,
# strtermr, terms_desc is is initialized "NOT FOUND".
#
    define terms_code        like strtermr.terms_code,
           terms_desc        like strtermr.terms_desc,
           due_days          like strtermr.due_days,
           disc_days         like strtermr.disc_days,
           disc_pct          like strtermr.disc_pct

    select strtermr.terms_desc, strtermr.due_days,
           strtermr.disc_days, strtermr.disc_pct
        into terms_desc, due_days, disc_days, disc_pct
            from strtermr
                where strtermr.terms_code = terms_code

    if sqlca.sqlcode = notfound
    then
        let sqlca.sqlcode = 0
        let terms_desc = "NOT FOUND"
        let due_days = 0
        let disc_days = 0
        let disc_pct = 0
    end if

    return terms_desc, due_days, disc_days, disc_pct

end function
# ar_termn
