########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/ar.4gs/ar_termz.4gl  1.4  Delta: 4/30/90
########################################################################

database standard

############################################################
function ar_termz()
# returns terms_code
############################################################
# This function opens a zoom window to the terms file for
# terms code selection.  If the code does not exist the user
# has the option of adding a terms code.  The selected terms
# code is returned.
#
    define
      terms array[100] of record
        terms_code      like strtermr.terms_code,
        terms_desc      like strtermr.terms_desc,
        due_days        like strtermr.due_days,
        disc_days       like strtermr.disc_days,
        disc_pct        like strtermr.disc_pct
      end record,
      counter           smallint,
      pcurr             smallint,
      scurr             smallint,
      terms_code        like strtermr.terms_code

    let pcurr = arr_curr()
    let scurr = scr_line()

    open window artermwin at 11, 9
        with form "../../lib.4gm/ar.4gs/ar_termz"
            attribute (border, blue)

    let counter = 1
    let terms_code = null
    let terms[counter].terms_code = ""
    declare terms_list cursor for
        select strtermr.terms_code, strtermr.terms_desc, strtermr.due_days,
            strtermr.disc_days, strtermr.disc_pct
            from strtermr
                order by strtermr.terms_code

    open terms_list
    foreach terms_list into terms[counter].*
        display terms[counter].* to s_terms[counter].*
        let counter = counter + 1
        if counter > 5
        then
            exit foreach
        end if
    end foreach

    call menu_line()

    display " Select the desired terms and press [ESC] to choose" at 1,1
    display " [DOWN ARROW] or [UP ARROW] to Scroll,  [F3] or [F4] to Page" 
      at 2,1

    let counter = 1
    open terms_list
    foreach terms_list into terms[counter].*
      let counter = counter + 1
      if counter > 100
      then
        exit foreach
      end if
    end foreach

    call set_count(counter -1)

    display array terms to s_terms.*
      on key(control-f)
        let counter = arr_curr()
        call al_addlz("strtermr",terms[counter].terms_code,"","")
    end display

    let counter = arr_curr()
    if int_flag != 0
    then
      let terms[counter].terms_code = ""
      let int_flag = 0
    end if
    let terms_code = terms[counter].terms_code

    close window artermwin

    return terms_code

end function
# ar_termz()
