########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/ar.4gs/rcontrol.4gl  1.4  Delta: 9/4/90
########################################################################

database standard

#######################################################################
function rcontrol()
# returns m_rcntrc record
#######################################################################
# This function reads an accounting control record, strcntrc, into
# m_rcntrc and returns m_rcntrc.  If the control record does not exist,
# for some reason, an error routine is called.
#
    define
        m_rcntrc record like strcntrc.*  # record like the rcontrol file

    whenever error continue
    select * into m_rcntrc.* from strcntrc
    if sqlca.sqlcode != 0
    then
        call fg_error("lib_ar","rcontrol",1) # Cannot Read A/R Control Table
        let sqlca.sqlcode = 0
    end if
    whenever error call error_handler

    return m_rcntrc.*
end function
# rcontrol()
