########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/i_custr.4gs/globals.4gl  1.5  Delta: 5/16/90
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        new_cust smallint,          # new customer indicator
        dtl_update smallint,        # update from detail scrn indicator
        header_first smallint,      # update from header first indicator
        m_rcntrc record like strcntrc.*, # record like the control table
        m_rcustr record like strcustr.*, # record like the header table
        m_rshipr record like strshipr.*, # record like the detail table
        p_rcustr record   # record like the header screen
            cust_code like strcustr.cust_code,
            bus_name like strcustr.bus_name,
            taxable like strcustr.taxable,
            contact like strcustr.contact,
            phone like strcustr.phone,
            address1 like strcustr.address1,
            address2 like strcustr.address2,
            city like strcustr.city,
            state like strcustr.state,
            zip like strcustr.zip,
            country like strcustr.country,
            spec_shipping like strcustr.spec_shipping,
            ar_type like strcustr.ar_type,
            stmt_cycle like strcustr.stmt_cycle,
            fin_chg like strcustr.fin_chg,
            credit_limit like strcustr.credit_limit,
            ar_acct_dflt like strcustr.ar_acct_dflt,
            ar_department_dflt like strcustr.ar_department_dflt,
            terms_code like strcustr.terms_code,
            terms_desc like strtermr.terms_desc,
            act_grp like strcustr.act_grp,
            grp_desc like stxactgr.grp_desc,
            spec_billing like strcustr.spec_billing,
            stmt_date like strcustr.stmt_date,
            stmt_amount like strcustr.stmt_amount,
            last_pay_date like strcustr.last_pay_date,
            on_acct_amt like strcustr.on_acct_amt,
            acct_bal like strcustr.acct_bal
            end record,
        p_rshipr array[100] of record   # record like the detail screen
            ship_to_code like strshipr.ship_to_code,
            bus_name like strshipr.bus_name,
            taxable like strshipr.taxable,
            contact like strshipr.contact,
            phone like strshipr.phone,
            address1 like strshipr.address1,
            address2 like strshipr.address2,
            city like strshipr.city,
            state like strshipr.state,
            zip like strshipr.zip,
            country like strshipr.country,
            spec_shipping like strshipr.spec_shipping
            end record,
        scr1_max smallint,   # Number of elements in screen array 1
        rec1_max smallint,   # Number of elements in record array 1
        rec1_cnt smallint,   # Number of active elements in record array 1
        curr_form char(1)    # flag to indicate current form
end globals
