########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/i_custr.4gs/options.4gl  1.3  Delta: 5/16/90
########################################################################

globals "globals.4gl"

#######################################################################
function ring_options(ring_rowid, ring_cursor, ring_total)
# returning ring_rowid, ring_cursor, ring_total
#######################################################################
#  this is the function that is called when "Options" is selected
#  from the menu.  it is where custom menu items are inserted.
#
    define
        ring_rowid  integer,   # the rowid of the current document
                               # (or -1 if no document is displayed)
        ring_cursor integer,   # the absolute address of the open cursor
                               # (0 if document isn't part of the
                               # current cursor group)
        ring_total  integer,   # total number of elements in the cursor
        scratch     char(10)   # throwaway field

    # check to see if ok to run options
    if ok_options() = false
    then
        return ring_rowid, ring_cursor, ring_total
    end if

    menu " Options"
        command "Switch" " Switch Customer/Ship-To screens"
            if curr_form = "1"
            then
                let curr_form = "2"
                display form screen2
                if ring_rowid > 0 then call lld_display() end if
            else
                let curr_form = "1"
                display form screen1
                if ring_rowid > 0 then call llh_display() end if
            end if
            exit menu
        command "Activity" " View A/R activity"
            if ring_rowid = -1
            then
                continue menu
            end if
            if p_rcustr.cust_code is null
            then
                continue menu
            end if
            call ar_actvz(p_rcustr.cust_code)
            exit menu
        command key (e,x,q)
            "Quit" " Return to the main menu"
            exit menu
        command key (interrupt)
            let int_flag = 0
            exit menu
    end menu
    return ring_rowid, ring_cursor, ring_total
end function
# ring_options()

