########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/ar.4gs/ar_invcz.4gl  1.4  Delta: 9/4/90
########################################################################

database standard

############################################################
function ar_invcz(inv_doc_no)
# returns nothing
############################################################
# This function is passed an invoice number and, from that,
# displays a zoom window to an invoice detail view.  It also
# provides the option of a subzoom that shows all the activity
# for a specific invoice.
#

define

    p_ropend record
        inv_no like stropend.inv_no,
        doc_no like stropend.doc_no,
        inv_desc like stropend.inv_desc,
        inv_date like stropend.inv_date,
        orig_amount like stropend.orig_amount,
        disc_amt like stropend.disc_amt,
        balance like stropend.balance,
        disc_bal like stropend.disc_bal,
        due_date like stropend.due_date,
        disc_date like stropend.disc_date,
        ar_acct_no like stropend.ar_acct_no,
        ar_department like stropend.ar_department,
        po_no like stropend.po_no,
        po_date like stropend.po_date,
        cust_code like stropend.cust_code
    end record,
        inv_doc_no like stropend.doc_no,
        bus_name        like strcustr.bus_name

    whenever error continue
    select inv_no, doc_no, inv_desc, inv_date, orig_amount,
           disc_amt, balance, disc_bal, due_date, disc_date,
           ar_acct_no, ar_department, po_no, po_date, cust_code
        into p_ropend.* from stropend
                where stropend.doc_no = inv_doc_no
    whenever error call error_handler

    if sqlca.sqlcode != 0
    then
        let sqlca.sqlcode = 0
        return
    end if

    open window ariwin at 2,3
        with form "../../lib.4gm/ar.4gs/opendetl"
            attribute (border, blue)

    call menu_line()

    call ar_custn(p_ropend.cust_code) returning bus_name
    display " ",p_ropend.cust_code clipped, " -  ", bus_name at 4,1
    display by name p_ropend.inv_no thru p_ropend.po_date

    menu " View Open Item"

        command key ("!")
            call ring_bang()
        command key("A") "Activity" " View all activity for this invoice"
            call ar_iactz(p_ropend.cust_code, p_ropend.doc_no)
        command key (e,x,q,interrupt) "Quit" " Return to Entry screen"
                if int_flag != 0
                then
                    let int_flag = 0
                end if
             exit menu
    end menu

    close window ariwin
    return

end function
# ar_invcz
